# Interface IRWSPromptRequestExecutor

interface IRWSPromptRequestExecutor {
promptRequest: ((prompt, contextToken?, intruderPrompt?, debugVars?) => Promise<RWSPrompt>);
}

- Defined in src/models/prompts/_prompt.ts:43

#####
Index

### Properties

promptRequest

## Properties

### promptRequest

promptRequest: ((prompt, contextToken?, intruderPrompt?, debugVars?) => Promise<RWSPrompt>)

#### Type declaration

- - (prompt, contextToken?, intruderPrompt?, debugVars?): Promise<RWSPrompt>

  - #### Parameters

    - ##### prompt: RWSPrompt

    - ##### `Optional` contextToken: IContextToken

    - ##### `Optional` intruderPrompt: string

    - ##### `Optional` debugVars: any

    #### Returns Promise<RWSPrompt>

- Defined in src/models/prompts/_prompt.ts:44

Generated using TypeDoc